Bug 867330 - self-heal process can sometimes create directories instead of symlinks for the root gfid file in .glusterfs
self-heal process can sometimes create directories instead of symlinks for th...
Status: CLOSED WORKSFORME
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
2.0
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: vsomyaju
Rahul Hinduja
:
Depends On: 859581 1055707 1066689 1099955
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 06:32 EDT by Vidya Sakar
Modified: 2015-03-04 19:06 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 859581
Environment:
Last Closed: 2012-12-11 04:17:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vidya Sakar 2012-10-17 06:32:30 EDT
+++ This bug was initially created as a clone of Bug #859581 +++

Description of problem:
I was seeing errors self-healing "/". Upon checking the .glusterfs/00/00/00000000-0000-0000-0000-000000000001 stats, I discovered that some of my bricks had directories instead of symlinks. I replaced the directories with symlinks to ../../.. and set the gfid on those symlinks to 0x00000000000000000000000000000001 and healing was able to return to normal.

Version-Release number of selected component (if applicable):
3.3.0

How reproducible:
Unsure

Steps to Reproduce:
Sorry, there were a lot of things happening all at once so I'm not sure which one of them caused this to happen.

I do replica 3 volumes so that may be a variable in this.

Note You need to log in before you can comment on or make changes to this bug.